GPG key retrieval failed on client when Installing a package from custom repo.
Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1099016 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1099016

Description of problem:

I registered a rhel6.4 client with sat6 server and subscribed a custom repo. when I tried to install a package on client then got

following error:

Downloading Packages:

warning: rpmts_HdrFromFdno: Header V4 RSA/SHA1 Signature, key ID f78fb195: NOKEY

Retrieving key from https://dhcp201-170.englab.pnq.redhat.com/katello/katello/api/repositories/56/gpg_key_content

GPG key retrieval failed: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404 Not Found"

on server production.log says: =================================

ActionController::RoutingError (No route matches [GET] "/katello/katello/api/repositories/56/gpg_key_content"):

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140508.1

Client rhel6.4: =============

subscription-manager-1.1.23-1.el6.x86_64

server-side packages: ===================

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.7-1.el6sat.noarch

foreman-compute-1.6.0.7-1.el6sat.noarch

foreman-gce-1.6.0.7-1.el6sat.noarch

foreman-libvirt-1.6.0.7-1.el6sat.noarch

foreman-ovirt-1.6.0.7-1.el6sat.noarch

foreman-postgresql-1.6.0.7-1.el6sat.noarch

foreman-proxy-1.6.0.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.6.0.7-1.el6sat.noarch
katello-1.5.0-22.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.37-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

on server: =========

1. create gpgkey with:

http://inecas.fedorapeople.org/fakerepos/zoo/RPM-GPG-KEY-dummy-packages-generator

2. create a prouct/repo with url and provide above created key name

http://inecas.fedorapeople.org/fakerepos/zoo/

3. create a cv and add the product and publish it to 'Library'

on client: ============

1. register client with cmd:

subscription-manager register --username admin --password changeme --env Library

2. subscribe the client to custom product

subscription-manager subscribe --pool <pool-id>

3. yum repolist

Actual results:

GPG key retrieval failed: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404 Not Found"

Expected results:

gpg-key should be retrieved

Additional info:

If I manually install key on client with rpm --import <keyname> then package install is successful..so it means key is correct.

Also, redhat.repo is populated with repo name as below:

[ACME_Corporation_custom_fake_zoo3]

name = zoo3

baseurl = https://dhcp201-170.englab.pnq.redhat.com/pulp/repos/ACME_Corporation/Library/custom/custom_fake/zoo3

enabled = 1

gpgcheck = 1

gpgkey = https://dhcp201-170.englab.pnq.redhat.com/katello/katello/api/repositories/56/gpg_key_content

sslverify = 1

sslcacert = /etc/rhsm/ca/candlepin-local.pem

sslclientkey = /etc/pki/entitlement/3399980321529909903-key.pem

sslclientcert = /etc/pki/entitlement/3399980321529909903.pem

Associated revisions

Revision 76f9cace - 06/17/2014 03:38 PM - Brad Buckingham

fixes #6204 / BZ 1099016 - Fix gpg key on repo create and yum retrieval
This commit addresses 2 issues:

1. update the repo create to support associating the gpg key url

in candlepin

2. update the v2 api to expose the 'gpg_key_content' api to enable

yum clients to retrieve the key

Revision 1070b87b - 06/17/2014 04:41 PM - Brad Buckingham

Merge pull request #4263 from bbuckingham/issue-6204

fixes #6204 / BZ 1099016 - Fix gpg key on repo create and yum retrieval

History

#1 - 06/12/2014 07:58 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 45

- translation missing: en.field_release set to 13

- Triaged set to Yes

#2 - 06/16/2014 12:03 PM - Eric Helms

- Target version changed from 45 to 48

#3 - 06/17/2014 04:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:76f9cace1b2e0ddc4bdae05027bd83c0b034c4dc.
